Package org.apache.calcite.avatica

## Class MetaImpl.MetaTable

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaTable

All Implemented Interfaces:
  `MetaImpl.Named`

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaTable
    extends java.lang.Object
    implements MetaImpl.Named

Metadata describing a table.

### Field Summary

Fields
`java.lang.String` `refGeneration`
`java.lang.String` `remarks`
`java.lang.String` `selfReferencingColName`
`java.lang.String` `tableCat`
`java.lang.String` `tableName`
`java.lang.String` `tableSchem`
`java.lang.String` `tableType`
`java.lang.String` `typeCat`
`java.lang.String` `typeName`
`java.lang.String` `typeSchem`

### Constructor Summary

Constructors
`MetaTable​(java.lang.String tableCat, java.lang.String tableSchem, java.lang.String tableName, java.lang.String tableType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tableCat

    public final java.lang.String tableCat

#### tableSchem

    public final java.lang.String tableSchem

#### tableName

    public final java.lang.String tableName

#### tableType

    public final java.lang.String tableType

#### remarks

    public final java.lang.String remarks

#### typeCat

    public final java.lang.String typeCat

#### typeSchem

    public final java.lang.String typeSchem

#### typeName

    public final java.lang.String typeName

#### selfReferencingColName

    public final java.lang.String selfReferencingColName

#### refGeneration

    public final java.lang.String refGeneration

### Constructor Detail

#### MetaTable

    public MetaTable​(java.lang.String tableCat,
                     java.lang.String tableSchem,
                     java.lang.String tableName,
                     java.lang.String tableType)

### Method Detail

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `MetaImpl.Named`